gr::radar::signal_generator_fmcw_c Class Reference

`#include <signal_generator_fmcw_c.h>`

Inheritance diagram for gr::radar::signal_generator_fmcw_c:

## Public Types

typedef std::shared_ptr< signal_generator_fmcw_c > | sptr

## Static Public Member Functions

static sptr | make (const int samp_rate, const int samp_up, const int samp_down, const int samp_cw, const float freq_cw, const float freq_sweep, const float amplitude, const std::string &len_key="packet_len")

## Detailed Description

Generates a signal for FMCW radar in baseband.

The generated signal consists of three parts, in this order:

1. CW part with constant frequency
2. Up-chirp
3. Down-chirp

The up-chirp goes from CW frequency to CW frequency plus sweep frequency and the down-chirp goes in the opposite direction. All of these parts can be disabled by setting the corresponding length to zero.

The packet length for subsequent tagged streams is calculated by the sum of the number of samples of the single modulations parts.

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<signal_generator_fmcw_c> gr::radar::signal_generator_fmcw_c::sptr

## Member Function Documentation

## make()

sptr gr::radar::signal_generator_fmcw_c::make | ( | const int | samp_rate,
|  | const int | samp_up,
|  | const int | samp_down,
|  | const int | samp_cw,
|  | const float | freq_cw,
|  | const float | freq_sweep,
|  | const float | amplitude,
|  | const std::string & | len_key = "packet_len" )

static

Parameters

  samp_rate | Signal sample rate (samples per second)
  samp_up | Number samples of up-chirp part
  samp_down | Number samples of down-chirp part
  samp_cw | Number samples of CW part
  freq_cw | CW signal frequency in baseband
  freq_sweep | Sweep frequency of up- and down-chirp
  amplitude | Signal amplitude
  len_key | Packet length key for tagged stream

The documentation for this class was generated from the following file:

- signal_generator_fmcw_c.h